API referenceExtractions
List a project’s documents
GET
/extractions/{id}/documentsSame as GET /documents?projectId={id}.
Authorization
bearerAuth AuthorizationBearer <token>
An API key created in Settings → API Keys.
In: header
Path Parameters
id*string
Format
uuidQuery Parameters
name?string
Exact fileName match (without extension)
search?string
Partial fileName match
expand?string
Comma-separated relations to inline per document: metadata and/or dataGroups.
limit?integer
Max rows to return (default 50, max 1000).
Range
1 <= value <= 1000Default
50offset?integer
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/extractions/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents"{ "data": { "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "fileName": "string", "createdAt": "2019-08-24T14:15:22Z", "numPages": 0, "reference": { "property1": "string", "property2": "string" }, "status": "uploaded", "durationSeconds": 0, "error": "parse_failed", "metadata": [ { "fieldId": "84922011-b03d-4966-bc95-c5b49bc2e342", "name": "string", "value": "string" } ], "dataGroups": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } ], "path": "string", "isActive": true, "isInProgress": true, "subscriptionId": "d079718b-ff63-45dd-947b-4950c023750f" } ], "total": 0 }, "meta": { "requestId": "string", "timestamp": "string" }}